using UnityEngine;

public class KeyController : MonoBehaviour
{
  public GameObject takeTheKey;
  public Door doors;
  public GameObject key;
  private bool canTakeTheKey = false;
  private bool hasKey = false;

  public void Update()
  {
    if (canTakeTheKey)
    {
      if (Input.GetKey(KeyCode.E))
      {
        hasKey = true;
        canTakeTheKey = false;
        takeTheKey.SetActive(false);
        doors.DoorsNowCanOpen();
        key.SetActive(false);
      }
    }
  }

  private void OnTriggerEnter(Collider other)
  {
    if (other.CompareTag("Key"))
    {
      takeTheKey.SetActive(true);
      if (hasKey == false) canTakeTheKey = true;
    }
  }

  private void OnTriggerExit(Collider other)
  {
    if (other.CompareTag("Key"))
    {
      takeTheKey.SetActive(false);
      if (hasKey == false) canTakeTheKey = false;
    }
  }
}
