using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

namespace CMF
{
  public class PlayerReceivesDamage : ReceiveDamage
  {
    private Slider healthBar;
    private Text playerIsDead;
    public AnimationControl animationControl;
    public AdvancedWalkerController walker;
    private bool alive = true;

    private void Start()
    {
      healthBar = GameObject.Find("PlayerHealth").GetComponent<Slider>();
      playerIsDead = GameObject.Find("YouAreDead").GetComponent<Text>();
    }
    public override void HealthChange()
    {
      healthBar.value = health;
    }

    public override void Die()
    {
      if (alive)
      {
        playerIsDead.text = "You are dead";
        animationControl.PlayerDeath();
        walker.isAlive = false;
        alive = false;
      }

    }
  }
}
