using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class RandomSound : MonoBehaviour
{
  public AudioClip sound1, sound2, sound3;
  public AudioSource source;
  // Start is called before the first frame update
  void Start()
  {
    ChooseSound();
  }

  private void ChooseSound()
  {
    int clip = Random.Range(1, 3);
    int randomLEngth = Random.Range(6, 12);

    switch (clip)
    {
      case 1:
        source.clip = sound1;
        source.Play();
        StartCoroutine(Wait(randomLEngth));
        break;
      case 2:
        source.clip = sound2;
        source.Play();
        StartCoroutine(Wait(randomLEngth));
        break;
      case 3:
        source.clip = sound3;
        source.Play();
        StartCoroutine(Wait(randomLEngth));
        break;
    }
  }

  IEnumerator Wait(int length)
  {
    yield return new WaitForSeconds(length);
    ChooseSound();
  }
}
