using UnityEngine;

public abstract class ReceiveDamage : MonoBehaviour
{
  public int health;
  public bool canReceiveDamage = true;

  public void ReduceHealth(int damage)
  {
    
    if (damage > 0 && canReceiveDamage)
    {
      health -= damage;
      IsItDead();
    }
  }

  public void IsItDead()
  {
    if (health <= 0)
    {
      HealthChange();
      Die();
    }
    else
    {
      HealthChange();
    }
  }

  public abstract void HealthChange();
  public abstract void Die();
}
