using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SimpleMovement : MonoBehaviour
{

  public float speedH = 2.0f;
  public float speedV = 2.0f;

  public float yaw = 0.0f;
  public float pitch = 0.0f;

  public float speed = 0.35f;

  private void Start()
  {
    Cursor.visible = false;
  }
  void Update()
  {
    yaw += speedH * Input.GetAxis("Mouse X");
    pitch -= speedV * Input.GetAxis("Mouse Y");

    transform.eulerAngles = new Vector3(pitch, yaw, 0.0f);

    if (Input.GetKey(KeyCode.W)) transform.Translate(Vector3.forward * speed); ;
    if (Input.GetKey(KeyCode.S)) transform.Translate(Vector3.back * speed);
    if (Input.GetKey(KeyCode.D)) transform.Translate(Vector3.right * speed);
    if (Input.GetKey(KeyCode.A)) transform.Translate(Vector3.left * speed);
  }
}
