using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Door : MonoBehaviour
{
  public Animator animator;
  public LayerMask whatIsPlayer;

  public float sightRange;
  public bool playerInSightRange;

  public bool canDoorsBeOpened = false;


  public void DoorsNowCanOpen()
  {
    canDoorsBeOpened = true;
  }

  public void OpenDoor()
  {
    animator.SetBool("OpenDoor", true);
  }

  private void OnTriggerEnter(Collider other)
  {
    if (canDoorsBeOpened) OpenDoor();
  }
}
