using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class StartBossFight : MonoBehaviour
{
  public BossAI boss;
  private RectTransform bossHealthBar;
  public float VerticalSpeed = 0.01f;
  public float MinVerticalPosition = -22f;

  private void Start()
  {
    bossHealthBar = GameObject.Find("BossHealth").GetComponent<RectTransform>();
  }

  private void Update()
  {
    if (boss.battleStart)
    {
      Vector2 position = bossHealthBar.anchoredPosition;

      position.y -= VerticalSpeed * Time.deltaTime;

      if (position.y < MinVerticalPosition)
        position.y = MinVerticalPosition;

      bossHealthBar.anchoredPosition = position;
    }
  }

  private void OnTriggerEnter(Collider other)
  {
    boss.battleStart = true;
  }
}
